org.apache.http.impl.conn

## Class AbstractPoolEntry

- java.lang.Object
- - org.apache.http.impl.conn.AbstractPoolEntry

- 已知直接子类：
    BasicPoolEntry ， SingleClientConnManager.PoolEntry

  已过时。
  （4.2）不要使用

      @Deprecated
      public abstract class AbstractPoolEntry
      extends Object

  连接管理器实现使用的池条目。 池条目与`adapter`一起工作。 适配器被发送到获得连接的应用程序。 池条目存储底层连接并跟踪建立的`route` 。 适配器委托将路由建立到其池条目的方法。

  如果托管连接被释放或撤销，适配器将断开连接，但池条目仍包含底层连接和已建立的路由。

  从以下版本开始：
    4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected OperatedClientConnection` | `connection` 已过时。 正在汇集或使用的底层连接。
    `protected ClientConnectionOperator` | `connOperator` 已过时。 连接运算符。
    `protected HttpRoute` | `route` 已过时。 该条目被分配的路由。
    `protected Object` | `state` 已过时。 连接状态对象
    `protected RouteTracker` | `tracker` 已过时。 跟踪的路线，或 `null`跟踪开始之前。

  - ### 构造方法摘要

    构造方法
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractPoolEntry(ClientConnectionOperator connOperator, HttpRoute route)` 已过时。 创建一个新的池条目。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getState()` 已过时。 返回与该池条目关联的状态对象。
    `void` | `layerProtocol(HttpContext context, HttpParams params)` 已过时。 在已建立的隧道之上铺一个协议。
    `void` | `open(HttpRoute route, HttpContext context, HttpParams params)` 已过时。 打开基础连接。
    `void` | `setState(Object state)` 已过时。 将状态对象分配给此池条目。
    `protected void` | `shutdownEntry()` 已过时。 关闭条目。
    `void` | `tunnelProxy(HttpHost next, boolean secure, HttpParams params)` 已过时。 跟踪连接到链接代理的隧道。
    `void` | `tunnelTarget(boolean secure, HttpParams params)` 已过时。 跟踪连接到目标的隧道。

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 字段详细信息

    - #### connOperator

          protected final ClientConnectionOperator connOperator

      已过时。
      连接运算符。

    - #### connection

          protected final OperatedClientConnection connection

      已过时。
      正在汇集或使用的底层连接。

    - #### route

          protected volatile HttpRoute route

      已过时。
      该条目被分配的路由。

    - #### state

          protected volatile Object state

      已过时。
      连接状态对象

    - #### tracker

          protected volatile RouteTracker tracker

      已过时。
      跟踪的路线，或 `null`跟踪开始之前。

  - ### 构造方法详细信息

    - #### AbstractPoolEntry

          protected AbstractPoolEntry(ClientConnectionOperator connOperator,
                           HttpRoute route)

      已过时。
      创建一个新的池条目。
      参数
        `connOperator` - 此条目的连接运算符
        `route` - 连接的计划路由，或 `null`

  - ### 方法详细信息

    - #### getState

          public Object getState()

      已过时。
      返回与该池条目关联的状态对象。
      结果
        状态对象

    - #### setState

          public void setState(Object state)

      已过时。
      将状态对象分配给此池条目。
      参数
        `state` - 状态对象

    - #### open

          public void open(HttpRoute route,
                  HttpContext context,
                  HttpParams params)
                    throws IOException

      已过时。
      打开基础连接。
      参数
        `route` - 打开连接的路由
        `context` - 打开连接的上下文
        `params` - 打开连接的参数
      异常
        `IOException` - 在出现问题的情况下

    - #### tunnelTarget

          public void tunnelTarget(boolean secure,
                          HttpParams params)
                            throws IOException

      已过时。
      跟踪连接到目标的隧道。 必须通过向（最后）代理发送CONNECT请求来建立隧道。
      参数
        `secure` - `true`如果隧道应该被认为是安全的， `false`否则
        `params` - 隧道连接的参数
      异常
        `IOException` - 出现问题时

    - #### tunnelProxy

          public void tunnelProxy(HttpHost next,
                         boolean secure,
                         HttpParams params)
                           throws IOException

      已过时。
      跟踪连接到链接代理的隧道。 隧道必须通过向先前的代理发送CONNECT请求而建立在外部。
      参数
        `next` - 隧道建立的代理。 详见`ManagedClientConnection.tunnelProxy` 。
        `secure` - `true`如果隧道应该被认为是安全的， `false`否则
        `params` - 隧道连接的参数
      异常
        `IOException` - 在出现问题的情况下

    - #### layerProtocol

          public void layerProtocol(HttpContext context,
                           HttpParams params)
                             throws IOException

      已过时。
      在已建立的隧道之上铺一个协议。
      参数
        `context` - 分层的上下文
        `params` - 分层参数
      异常
        `IOException` - 出现问题时

    - #### shutdownEntry

          protected void shutdownEntry()

      已过时。
      关闭条目。 如果`open(HttpRoute, HttpContext, HttpParams)`正在进行中，这将导致打开可能会抛出一个`IOException` 。

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585